cancel
Showing results for 
Search instead for 
Did you mean: 

Archives Discussions

Steveyoungs
Journeyman III

XP Support

In the release notes for APP SDK 2.5 it says

"XP support is deprecated, and will no longer be supported in SDK 2.6"

Is this deprecating the use of

* the APP SDKonly

* the OpenCL runtime

* both APP SDK and runtime

on Windows XP

Steve.

Tags (3)
0 Likes
10 Replies
genaganna
Journeyman III

XP Support

Originally posted by: Steveyoungs In the release notes for APP SDK 2.5 it says

 

"XP support is deprecated, and will no longer be supported in SDK 2.6"

 

Is this deprecating the use of

 

* the APP SDKonly

 

* the OpenCL runtime

 

* both APP SDK and runtime

 

on Windows XP

 

Steve.

 

APP SDK which means OpenCL runtime also.

0 Likes
Steveyoungs
Journeyman III

XP Support

So does this also imply that OpenCL will be removed from the Windows XP Catalyst driver as well, in the APP ADK 2.6 time frame?

0 Likes
nou
Exemplar

XP Support

IMHO in WinXP version stay SDK at 2.5. they dont remove it.

0 Likes
genaganna
Journeyman III

XP Support

Originally posted by: Steveyoungs So does this also imply that OpenCL will be removed from the Windows XP Catalyst driver as well, in the APP ADK 2.6 time frame?

 

Starting with SDK 2.6 XP will no longer be a supported OS

0 Likes
bubu
Adept II

XP Support

XP is dead. Start to assume it.

0 Likes
bc7
Journeyman III

Re: XP Support

If I would have known of this issue with Windows XP and the SDK/OpenCL, I would have never bought this stupid card.  Please tell me there's a fix for this somewhere.  Who on earth makes drivers that aren't compatible with Windows XP??!??!?  I even checked that there's adequate XP driver support for drivers but this SDK/APP/OpenCL stuff is apparently different.  *sigh*.

0 Likes
scharupa
Staff
Staff

Re: XP Support

bc7,

you can still use SDK 2.6 on XP OS. Can you try that.

0 Likes
realhet
Miniboss

Re: XP Support

If anyone searching for the latest opencl/cal capable driver for XP: That is Catalyst 11.12.

That also means no GCN chips have XP gpgpu support.

0 Likes
Crashtest
Journeyman III

Re: XP Support

12.1 also works ... after 12.2 AMD removed

- aticalrt.dll

- aticaldd.dll

- aticalcl.dll

so no CAL and GPU-Part of OpenCL will work.

Maybe you could try AMD Catalyst 13.x with additional atical files from Catalyst 11.2 or 12.1.

OpenCL Runtime 2.4 and maybe 2.5 should work with the ATI CAL Files but Im not sure about Catalyst 13.X with CAL from 12.1 ....

0 Likes